[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# TStringHelper.PadLeft

Pad the string on the left with an indicated character

## Declaration

Source position: syshelph.inc line 142

`public function TStringHelper.PadLeft(`
`ATotalWidth: SizeInt`
`):string; overload; function TStringHelper.PadLeft(`
`ATotalWidth: SizeInt;`
`PaddingChar: Char`
`):string; overload;`

## Description

PadLeft pads the string (Self) on the left (i.e. at the beginning) till it reaches length ATotalWidth with character PaddingChar. If PaddingChar is omitted, a space is used.

## See also

TStringHelper.PadRight |  | Pad the string on the right with an indicated character